Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Digikam 5.6 installeren met een appimage-bestand: betrouwbaar?  (gelezen 75 keer)

Offline Jenske

  • Lid
  • Steunpunt: Nee
Ik lees op de volgende site* dat ik, om Digikam 5.6 te installeren, zou moeten gebruik maken van een appimage-bestand. Dat vind ik nogal verdacht, aangezien ik altijd heb geleerd (van dit forum): installeer bij voorkeur alleen wat in de standaard repositories zit, dán eventueel via een te vertrouwen PPA en liefst niet via allerlei andere techieken.

En dus: hoe zit dat eigenlijk, zo'n appimage? Mag ik dat vertrouwen? En waarom moet dat plots op die manier, terwijl we het vroeger altijd moesten doen met aanpassingen in de sources.list?

*http://ubuntuhandbook.org/index.php/2017/06/digikam-5-6-0-released-how-to-install-it-in-ubuntu/
« Laatst bewerkt op: 2017/08/19, 16:37:00 door Jenske »
.. thuis volledig Ubuntu sinds 2006
.. xubuntu 14.04
.. HP desktop 1,5 Tbyte harde schijf 7200 rpm, 4 Mhz processor, 6 Gbyte RAM

Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: Digikam 5.6 installeren met een appimage-bestand: betrouwbaar?
« Reactie #1 Gepost op: 2017/08/19, 16:52:26 »
Panikeer je bij het idee, doe het dan niet en gebruik de versie van Digikam die meekomt met je Ubuntuversie. Stabiliteit en veiligheid gegarandeerd. Wil je wel die nieuwere versie, dan is die appimage een mogelijkheid om die nieuwere versie ook op oudere Ubuntu versies te gebruiken. Heb je Ubuntu 17.04, dan kan je installeren via een PPA, maar ook hier neem je een risico dat even groot is als het installeren van een appimage. Vertrouw je de website van digikam niet? Dan niet doen en bij je reguliere Ubuntu versie blijven, zelfs al heb je de nieuwe versie hard nodig.

[/parodierende modus uit]
Ik vind dat we hier met die veiligheidsoverwegingen wel wat overdrijven. Buiten de standaard distributie gan, houdt altijd wt meer risico in, maar digiKam zou ik nu wel vertrouwen. Ik zou er zeker voor gaan als er voldoende reden is om de nieuwere versie te gebruiken.

Offline emvedeesje

  • Lid
  • Steunpunt: Nee
Re: Digikam 5.6 installeren met een appimage-bestand: betrouwbaar?
« Reactie #2 Gepost op: 2017/08/19, 16:59:34 »
Ik lees op de volgende site* dat ik, om Digikam 5.6 te installeren, zou moeten gebruik maken van een appimage-bestand. Dat vind ik nogal verdacht, aangezien ik altijd heb geleerd (van dit forum): installeer bij voorkeur alleen wat in de standaard repositories zit, dán eventueel via een te vertrouwen PPA en liefst niet via allerlei andere techieken.

En dus: hoe zit dat eigenlijk, zo'n appimage? Mag ik dat vertrouwen? En waarom moet dat plots op die manier, terwijl we het vroeger altijd moesten doen met aanpassingen in de sources.list?

*http://ubuntuhandbook.org/index.php/2017/06/digikam-5-6-0-released-how-to-install-it-in-ubuntu/

Jenske,
deze is volledig te vertrouwen. Ik gebruik Digikam al jaren.

Ik vind het niet correct wat er op die website staat dat het enkel zou kunnen geïnstalleerd worden in ubuntu 17.04.
Hier heb ik het draaien op Ubuntu 16.04.3 en Mint 18.2

Ik installeer het als volgt:
sudo add-apt-repository ppa:philip5/extra
sudo apt-get update
sudo apt-get install digikam

Groeten van Michael
Mint Cinnamon fan
Desktop HP ProDesk 400G3 64bit I5 16gb multiboot: SSD Mint 18.2 Cinnamon Sonya + SSD Ubuntu 16.04.3 + HD Ubuntu 14.04.5 + HD W10 /// Laptop HP ProBook 6570b 64bit I5 4gb SSD multiboot Mint 18.2 Cinnamon Sonya + W10
TESTBAK Desktop HP-Compaq 8000 64bit 4gb

Offline Jenske

  • Lid
  • Steunpunt: Nee
Re: Digikam 5.6 installeren met een appimage-bestand: betrouwbaar?
« Reactie #3 Gepost op: 2017/08/19, 17:03:56 »
Ja, maar hij installeert dan Digikam 5.5, NIET 5.6 (zoals op de site van Digikam zelf als recentste staat aangekondigd).

Let op: ik gebruik Ubuntu 16.04 en niet 17.04, omdat die eerste een LTR-release is.

Misschien moet ik maar eens overstappen naar 17.04, maar ik had in het verleden wat vervelende ervaringen met het verlaten van een LTR ten voordele van de recentste versie.
.. thuis volledig Ubuntu sinds 2006
.. xubuntu 14.04
.. HP desktop 1,5 Tbyte harde schijf 7200 rpm, 4 Mhz processor, 6 Gbyte RAM

Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: Digikam 5.6 installeren met een appimage-bestand: betrouwbaar?
« Reactie #4 Gepost op: 2017/08/19, 17:13:35 »
Als het over veiligheid gaat, dan is een appimage al veiliger dan een PPA, omdat een appimage niet rechtstreeks ingrijpt in andere componenten van je systeem. De appimage verpakt de applicatie én zijn nodige bibliotheken in een aparte container. Ik vermoed dat dit appimage formaat zowat een voorloper is van snappy en flatpak. Bij deze laatste is het programma tijdens de uitvoering gesandboxed. Niet zo bij appimage, wellicht.